---
myst:
  html_meta:
    keywords: LaTeX, programmation, erreurs, messages d'erreur de LaTeX,
              taille des images, format d'images, \includegraphics, 
              fichier postscript, encapsulated postscript, fichier JPEG
---

# Que signifie l'erreur : "Cannot determine size of graphic in ⟨fichier⟩" ?

- **Message** : `Cannot determine size of graphic in ⟨fichier⟩`
- **Origine** : extensions <ctanpkg:graphics> et <ctanpkg:graphicx>

La taille explicite de l'image n'a pas été spécifiée et LaTeX est incapable 
de déterminer cette taille directement à partir du `⟨fichier⟩` graphique. 
Normalement, il le fait automatiquement, par exemple avec les fichiers EPS
en lisant l'information de la boîte englobante. Cependant, 
en fonction du pilote graphique, il peut être incapable d'extraire 
cette information à partir d'images *bitmap*, telles que les fichiers JPEG, GIF
et PNG.


:::{sources}
- [FAQ erreurs - Lettre C](https://latex.developpez.com/faq/erreurs?page=C), 
  sur le site [Developpez.com](https://latex.developpez.com)
- *[LaTeX Companion](https://www.latex-project.org/help/books/#french)*, 
  2e édition, Frank Mittelbach, Michel Goossens, Johannes Braams, 
  David Carlisle, Chris Rowley (Pearson, 2006)
:::