---
myst:
  html_meta:
    keywords: LaTeX, programmation, erreurs, messages d'erreur de LaTeX,
              erreur de police, erreur de fonte, fichiers de polices
---

# Que signifie l'erreur : "Corrupted NFSS tables" ?

- **Message** : `Corrupted NFSS tables`

LaTeX a essayé une certaine substitution de fontes [^footnote-1] et a détecté
une incohérence dans ses tables internes. Cette erreur survient 
lorsqu'une substitution de fontes a été demandée et que les règles 
de substitution contiennent une boucle (c'est-à-dire l'existence 
de déclarations *sub* circulaires), ou lorsque les arguments de substitution
par défaut pour le codage en cours pointent sur un groupe de formes 
de fontes inexistant.


:::{sources}
- [FAQ erreurs - Lettre C](https://latex.developpez.com/faq/erreurs?page=C), 
  sur le site [Developpez.com](https://latex.developpez.com)
- *[LaTeX Companion](https://www.latex-project.org/help/books/#french)*, 
  2e édition, Frank Mittelbach, Michel Goossens, Johannes Braams, 
  David Carlisle, Chris Rowley (Pearson, 2006)
:::

[^footnote-1]: **NFSS** signifie "*new font selection scheme*."