---
myst:
  html_meta:
    keywords: LaTeX, composition, illustrations
---

# Illustrations

Cette section regroupe les questions portant sur les illustrations 
(graphiques, images et autres figures), leur construction, leur inclusion 
et leur mise en forme. Trois types d'illustrations font ici l'objet 
de sections dédiées :

-   les [animations](/3_composition/illustrations/animations/start)
    (pour des documents PDF) ;
-   les [images](/3_composition/illustrations/images/start) ;
-   les [visualisations de données](/3_composition/illustrations/graphiques/start).

Certaines questions portent sur la **création d'illustrations** : 

- sans TeX et LaTeX :

  - [](/3_composition/illustrations/logiciels_de_dessins_compatibles_avec_latex)

- avec TeX et LaTeX :

  - [](/3_composition/illustrations/dessiner_avec_tex)
  - [](/3_composition/illustrations/definir_de_nouvelles_couleurs)
  - [](/3_composition/illustrations/tracer_des_lignes)
  - [](/3_composition/illustrations/dessiner_en_style_8bits)
  - [](/3_composition/illustrations/dessiner_avec_tex2)
  - [](/3_composition/illustrations/construire_un_arbre)
  - [](/3_composition/illustrations/construire_un_organigramme)
  - [](/3_composition/illustrations/inclure_des_formules_latex_dans_xfig)
  - [](/3_composition/illustrations/creer_une_image_en_svg_avec_latex)
  - [](/3_composition/illustrations/tracer_des_lignes)
  - [](/3_composition/illustrations/tracer_ligne_fleche_au_milieu)

D'autres questions portent sur la **manière d'agencer les illustrations** 
et d'intéragir avec elles au sein d'un document :

-   [](/3_composition/illustrations/ecrire_par-dessus_une_figure)
-   [](/3_composition/illustrations/annoter_un_graphique)
-   [](/3_composition/illustrations/centrer_une_figure_tres_large)
-   [](/3_composition/illustrations/limiter_la_taille_d_une_illustration)
-   [](/3_composition/illustrations/aligner_des_images_en_haut)
-   [](/3_composition/illustrations/repeter_une_image_dans_un_document)
-   [](/3_composition/illustrations/ombre_sous_une_image)


:::{seealso}
Vous pouvez aussi vous tourner vers la section évoquant
les [flottants](/3_composition/flottants/start), ces derniers permettant, 
entre autres, de donner une légende et une numération aux figures
contenant les illustrations.
:::


```{toctree}
:glob: true
:maxdepth: 1
:hidden:

*/start
*
```